Subject: RE: [NOT BUG] git-2.30.0-rc1 - Transitive OpenLDAP requirement in libcurl

From: "Randall S. Becker" <[email-masked]>
Date: Mon, 21 Dec 2020 17:45:31 -0500

On December 21, 2020 4:03 PM, I wrote:
> To: 'Felipe Contreras' <[email-masked]>; 'Junio C Hamano'
> <[email-masked]>
> Cc: [email-masked]' <[email-masked]>
> Subject: RE: [BUG] git-2.30.0-rc1 - Transitive OpenLDAP requirement in
> libcurl
> 
> On December 21, 2020 3:41 PM, Felipe Contreras wrote:
> > To: Randall S. Becker <[email-masked]>; 'Junio C Hamano'
> > <[email-masked]>
> > Cc: [email-masked]
> > Subject: RE: [BUG] git-2.30.0-rc1 - Transitive OpenLDAP requirement in
> > libcurl
> >
> > Randall S. Becker wrote:
> > > git is the only product my group builds that uses libcurl. There is
> > > a less functional version of libcurl that comes with the operating
> > > system that we ignore. We are not linking with that version. The
> > > version of curl we have, we built but not since 2.29.2.
> > > So  I'm confused.
> >
> > Could be: b990f02fd8 (config.mak.uname: remove unused
> > NEEDS_SSL_WITH_CURL flag, 2020-11-11)
> >
> > It seems it was attempting to only remove NEEDS_SSL_WITH_CURL, which
> > indeed wasn't used anymore, but it also removed:
> 
> I wondered about this one. I have rolled this back, with no positive effect.
> The 2.30.0-rc1 build works fine on the x86 platform (currently under test) but
> not on the Itanium (older) so I'm not suspecting this issue.
> 
> >   #NO_CURL = YesPlease
> 
> We have been building with Curl for years, so probably not this.
> 
> > I've no idea about these systems, but a quick search makes me wonder
> > if perhaps this was not intended.
> 
> Is there some detection going on about OpenLDAP?

Well, looks like this probably an operator issue. I tried the build in a clean environment (our official Jenkins build environment) and 2.30.0-rc1 builds and is currently in testing on both NonStop platforms. Something is likely messed up in my clone. There's nothing in the environment that is weird. So it's obviously something I did, but I don't really know what (maybe git reset --hard master && git clean -dxf is not a sufficient reset).

Moving forward,
Randall